/**
  *  \file u/t_io.h
  *  \brief Testsuite for I/O library (io/).
  *  \ingroup Testsuite
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_U_T_IO_H
#define PCC_V2_U_T_IO_H

#include <cxxtest/TestSuite.h> 
#include "u/helper.h"

class IoDirsTestSuite : public CxxTest::TestSuite {
 public:
    void testRoots();
    void testWorkingDirectory();
};

class IoGlobTestSuite : public CxxTest::TestSuite {
 public:
    void testGlob();
};

class IoIoTestSuite : public CxxTest::TestSuite {
 public:
    void testIO();
};

class IoMemdirTestSuite : public CxxTest::TestSuite {
 public:
    void testBaseAPI();
    void testCreation();
    void testIteration();
};

class IoMemstreamTestSuite : public CxxTest::TestSuite {
 public:
    void testMemstream();
};

class IoRleTestSuite : public CxxTest::TestSuite {
 public:
    void testMain();
};

class IoStreamsTestSuite : public CxxTest::TestSuite {
 public:
    void testStreams();
};

class IoTextfileTestSuite : public CxxTest::TestSuite {
    void doGetLineTest(const char* data, const char* name);
 public:
    void testGetChar();
    void testGetLine();
    void testEncoding();
    void testWrite();
    void testMixedIO();
};

#endif
